Skip to content
Developer

BaseBookingRealUsageSection

Locations and bookings5 EndpointsEvent / BaseBookingRealUsageSection

Returns a list of base booking real usage section entries.

GET/api/event/base_booking_real_usage_section

Query parameters

idinteger
deletedbooleanThis property is used to mark an entity as deleted / archived
tokenstring
baseBookingRealUsagestring
startBaseLocationstringMaster record for startLocation (e.g. airport, matched via shortIdentifier = ICAO code)
endBaseLocationstringMaster record for endLocation (e.g. airport, matched via shortIdentifier = ICAO code)
searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of BaseBookingRealUsageSection objectsarray<BaseBookingRealUsageSection>

Show fields (15)
  • idinteger

    Primary key of the usage section. Internal ID.

  • tokenstring

    Public token of the usage section. Used instead of the ID.

  • start_locationstring

    Location where the section started.

  • start_timestring (date-time)

    Start time of the section.

  • start_section_timestring (date-time)

    Start time of the section within the usage.

  • end_locationstring

    Location where the section ended.

  • end_timestring (date-time)

    End time of the section.

  • end_section_timestring (date-time)

    End time of the section within the usage.

  • number_of_landingsinteger

    Number of landings in the section.

  • base_booking_real_usageBaseBookingRealUsage

    Real usage the section belongs to.

    Show fields (16)
    • idinteger

      Primary key of the real usage entry. Internal ID.

    • tokenstring

      Public token of the real usage entry. Used instead of the ID.

    • start_valuenumber (float)

      Counter value at the start of the booking, for example the odometer.

    • stop_valuenumber (float)

      Counter value at the end of the booking.

    • durationinteger

      Duration of the usage in minutes.

    • kilometersnumber (float)

      Kilometers driven.

    • refueled_gasnumber (float)

      Amount of fuel refueled.

    • refueled_oilnumber (float)

      Amount of oil refueled.

    • gas_typestring

      Type of fuel refueled.

    • is_trainingboolean

      The usage was a training.

    • billing_typeinteger

      Billing type of the usage.

    • base_bookingBaseBooking13

      Booking the usage belongs to.

    • trainerCRMPerson10

      CRM person who used the bookable.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • start_base_locationBaseLocation10

    Master record for startLocation (e.g. airport, matched via shortIdentifier = ICAO code)

    Show fields (29)
    • idinteger

      Primary key of the location. Internal ID.

    • tokenstring

      Public token of the location. Used in links instead of the ID.

    • location_typestring

      Type of the location, for example room, hall or outdoor area.

    • in_contact_centerboolean

      The location is shown in the contact center.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • addressstring

      Address as text.

    • address_streetstring

      Street of the address.

    • address_house_numberstring

      House number of the address.

    • address_street_levelstring

      Street and house number of the address.

    • address_costring

      Care-of line of the address.

    • address_citystring

      City of the address.

    • address_zipstring

      Postal code of the address.

    • address_admin_level1string

      First administrative level of the address, e.g. the federal state.

    • address_countrystring

      Country code of the address.

    • address_full_countrystring

      Full name of the country of the address.

    • address_geo_latstring

      Latitude of the address.

    • address_geo_lngstring

      Longitude of the address.

    • address_external_provider_idstring

      field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

    • main_phonestring

      Main phone number.

    • main_faxstring

      Main fax number.

    • main_emailstring

      Main e-mail address.

    • websitestring

      Website address.

    • namestring

      Name of the entity.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • short_identifierstring

      Short identifier of the entity.

    • image_urlstring

      URL of the image of the entity.

    • slug_identifierstring

      Slug used in URLs of the entity.

    • is_ui_filterboolean

      This property is used to mark an entity as a filter for the frontend

  • end_base_locationBaseLocation10

    Master record for endLocation (e.g. airport, matched via shortIdentifier = ICAO code)

    Show fields (29)
    • idinteger

      Primary key of the location. Internal ID.

    • tokenstring

      Public token of the location. Used in links instead of the ID.

    • location_typestring

      Type of the location, for example room, hall or outdoor area.

    • in_contact_centerboolean

      The location is shown in the contact center.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • addressstring

      Address as text.

    • address_streetstring

      Street of the address.

    • address_house_numberstring

      House number of the address.

    • address_street_levelstring

      Street and house number of the address.

    • address_costring

      Care-of line of the address.

    • address_citystring

      City of the address.

    • address_zipstring

      Postal code of the address.

    • address_admin_level1string

      First administrative level of the address, e.g. the federal state.

    • address_countrystring

      Country code of the address.

    • address_full_countrystring

      Full name of the country of the address.

    • address_geo_latstring

      Latitude of the address.

    • address_geo_lngstring

      Longitude of the address.

    • address_external_provider_idstring

      field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

    • main_phonestring

      Main phone number.

    • main_faxstring

      Main fax number.

    • main_emailstring

      Main e-mail address.

    • websitestring

      Website address.

    • namestring

      Name of the entity.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • short_identifierstring

      Short identifier of the entity.

    • image_urlstring

      URL of the image of the entity.

    • slug_identifierstring

      Slug used in URLs of the entity.

    • is_ui_filterboolean

      This property is used to mark an entity as a filter for the frontend

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/event/base_booking_real_usage_section \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "id": 42,
    "token": "string",
    "start_location": "string",
    "start_time": "2026-10-15T09:30:00+02:00",
    "start_section_time": "2026-10-15T09:30:00+02:00",
    "end_location": "string",
    "end_time": "2026-10-15T09:30:00+02:00",
    "end_section_time": "2026-10-15T09:30:00+02:00",
    "number_of_landings": 1,
    "base_booking_real_usage": {
      "id": 42,
      "token": "string",
      "start_value": 1.5,
      "stop_value": 1.5,
      "duration": 1,
      "kilometers": 1.5,
      "refueled_gas": 1.5,
      "refueled_oil": 1.5,
      "gas_type": "string",
      "is_training": true
    }
  }
]

Creates a new base booking real usage section entry.

POST/api/event/base_booking_real_usage_section

Request body application/json

  • dataBaseBookingRealUsageSection2
    Show fields (1)
    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Add a new BaseBookingRealUsageSectionBaseBookingRealUsageSection

Show fields (15)
  • idinteger

    Primary key of the usage section. Internal ID.

  • tokenstring

    Public token of the usage section. Used instead of the ID.

  • start_locationstring

    Location where the section started.

  • start_timestring (date-time)

    Start time of the section.

  • start_section_timestring (date-time)

    Start time of the section within the usage.

  • end_locationstring

    Location where the section ended.

  • end_timestring (date-time)

    End time of the section.

  • end_section_timestring (date-time)

    End time of the section within the usage.

  • number_of_landingsinteger

    Number of landings in the section.

  • base_booking_real_usageBaseBookingRealUsage

    Real usage the section belongs to.

    Show fields (16)
    • idinteger

      Primary key of the real usage entry. Internal ID.

    • tokenstring

      Public token of the real usage entry. Used instead of the ID.

    • start_valuenumber (float)

      Counter value at the start of the booking, for example the odometer.

    • stop_valuenumber (float)

      Counter value at the end of the booking.

    • durationinteger

      Duration of the usage in minutes.

    • kilometersnumber (float)

      Kilometers driven.

    • refueled_gasnumber (float)

      Amount of fuel refueled.

    • refueled_oilnumber (float)

      Amount of oil refueled.

    • gas_typestring

      Type of fuel refueled.

    • is_trainingboolean

      The usage was a training.

    • billing_typeinteger

      Billing type of the usage.

    • base_bookingBaseBooking13

      Booking the usage belongs to.

    • trainerCRMPerson10

      CRM person who used the bookable.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • start_base_locationBaseLocation10

    Master record for startLocation (e.g. airport, matched via shortIdentifier = ICAO code)

    Show fields (29)
    • idinteger

      Primary key of the location. Internal ID.

    • tokenstring

      Public token of the location. Used in links instead of the ID.

    • location_typestring

      Type of the location, for example room, hall or outdoor area.

    • in_contact_centerboolean

      The location is shown in the contact center.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • addressstring

      Address as text.

    • address_streetstring

      Street of the address.

    • address_house_numberstring

      House number of the address.

    • address_street_levelstring

      Street and house number of the address.

    • address_costring

      Care-of line of the address.

    • address_citystring

      City of the address.

    • address_zipstring

      Postal code of the address.

    • address_admin_level1string

      First administrative level of the address, e.g. the federal state.

    • address_countrystring

      Country code of the address.

    • address_full_countrystring

      Full name of the country of the address.

    • address_geo_latstring

      Latitude of the address.

    • address_geo_lngstring

      Longitude of the address.

    • address_external_provider_idstring

      field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

    • main_phonestring

      Main phone number.

    • main_faxstring

      Main fax number.

    • main_emailstring

      Main e-mail address.

    • websitestring

      Website address.

    • namestring

      Name of the entity.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • short_identifierstring

      Short identifier of the entity.

    • image_urlstring

      URL of the image of the entity.

    • slug_identifierstring

      Slug used in URLs of the entity.

    • is_ui_filterboolean

      This property is used to mark an entity as a filter for the frontend

  • end_base_locationBaseLocation10

    Master record for endLocation (e.g. airport, matched via shortIdentifier = ICAO code)

    Show fields (29)
    • idinteger

      Primary key of the location. Internal ID.

    • tokenstring

      Public token of the location. Used in links instead of the ID.

    • location_typestring

      Type of the location, for example room, hall or outdoor area.

    • in_contact_centerboolean

      The location is shown in the contact center.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • addressstring

      Address as text.

    • address_streetstring

      Street of the address.

    • address_house_numberstring

      House number of the address.

    • address_street_levelstring

      Street and house number of the address.

    • address_costring

      Care-of line of the address.

    • address_citystring

      City of the address.

    • address_zipstring

      Postal code of the address.

    • address_admin_level1string

      First administrative level of the address, e.g. the federal state.

    • address_countrystring

      Country code of the address.

    • address_full_countrystring

      Full name of the country of the address.

    • address_geo_latstring

      Latitude of the address.

    • address_geo_lngstring

      Longitude of the address.

    • address_external_provider_idstring

      field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

    • main_phonestring

      Main phone number.

    • main_faxstring

      Main fax number.

    • main_emailstring

      Main e-mail address.

    • websitestring

      Website address.

    • namestring

      Name of the entity.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • short_identifierstring

      Short identifier of the entity.

    • image_urlstring

      URL of the image of the entity.

    • slug_identifierstring

      Slug used in URLs of the entity.

    • is_ui_filterboolean

      This property is used to mark an entity as a filter for the frontend

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/event/base_booking_real_usage_section \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "deleted": true
  }
}
'
Response 200 application/json
{
  "id": 42,
  "token": "string",
  "start_location": "string",
  "start_time": "2026-10-15T09:30:00+02:00",
  "start_section_time": "2026-10-15T09:30:00+02:00",
  "end_location": "string",
  "end_time": "2026-10-15T09:30:00+02:00",
  "end_section_time": "2026-10-15T09:30:00+02:00",
  "number_of_landings": 1,
  "base_booking_real_usage": {
    "id": 42,
    "token": "string",
    "start_value": 1.5,
    "stop_value": 1.5,
    "duration": 1,
    "kilometers": 1.5,
    "refueled_gas": 1.5,
    "refueled_oil": 1.5,
    "gas_type": "string",
    "is_training": true
  }
}

Returns a single base booking real usage section entry.

GET/api/event/base_booking_real_usage_section/{identifier}

Path parameters

identifierrequiredstring

Responses

200Returns a single BaseBookingRealUsageSectionBaseBookingRealUsageSection

Show fields (15)
  • idinteger

    Primary key of the usage section. Internal ID.

  • tokenstring

    Public token of the usage section. Used instead of the ID.

  • start_locationstring

    Location where the section started.

  • start_timestring (date-time)

    Start time of the section.

  • start_section_timestring (date-time)

    Start time of the section within the usage.

  • end_locationstring

    Location where the section ended.

  • end_timestring (date-time)

    End time of the section.

  • end_section_timestring (date-time)

    End time of the section within the usage.

  • number_of_landingsinteger

    Number of landings in the section.

  • base_booking_real_usageBaseBookingRealUsage

    Real usage the section belongs to.

    Show fields (16)
    • idinteger

      Primary key of the real usage entry. Internal ID.

    • tokenstring

      Public token of the real usage entry. Used instead of the ID.

    • start_valuenumber (float)

      Counter value at the start of the booking, for example the odometer.

    • stop_valuenumber (float)

      Counter value at the end of the booking.

    • durationinteger

      Duration of the usage in minutes.

    • kilometersnumber (float)

      Kilometers driven.

    • refueled_gasnumber (float)

      Amount of fuel refueled.

    • refueled_oilnumber (float)

      Amount of oil refueled.

    • gas_typestring

      Type of fuel refueled.

    • is_trainingboolean

      The usage was a training.

    • billing_typeinteger

      Billing type of the usage.

    • base_bookingBaseBooking13

      Booking the usage belongs to.

    • trainerCRMPerson10

      CRM person who used the bookable.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • start_base_locationBaseLocation10

    Master record for startLocation (e.g. airport, matched via shortIdentifier = ICAO code)

    Show fields (29)
    • idinteger

      Primary key of the location. Internal ID.

    • tokenstring

      Public token of the location. Used in links instead of the ID.

    • location_typestring

      Type of the location, for example room, hall or outdoor area.

    • in_contact_centerboolean

      The location is shown in the contact center.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • addressstring

      Address as text.

    • address_streetstring

      Street of the address.

    • address_house_numberstring

      House number of the address.

    • address_street_levelstring

      Street and house number of the address.

    • address_costring

      Care-of line of the address.

    • address_citystring

      City of the address.

    • address_zipstring

      Postal code of the address.

    • address_admin_level1string

      First administrative level of the address, e.g. the federal state.

    • address_countrystring

      Country code of the address.

    • address_full_countrystring

      Full name of the country of the address.

    • address_geo_latstring

      Latitude of the address.

    • address_geo_lngstring

      Longitude of the address.

    • address_external_provider_idstring

      field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

    • main_phonestring

      Main phone number.

    • main_faxstring

      Main fax number.

    • main_emailstring

      Main e-mail address.

    • websitestring

      Website address.

    • namestring

      Name of the entity.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • short_identifierstring

      Short identifier of the entity.

    • image_urlstring

      URL of the image of the entity.

    • slug_identifierstring

      Slug used in URLs of the entity.

    • is_ui_filterboolean

      This property is used to mark an entity as a filter for the frontend

  • end_base_locationBaseLocation10

    Master record for endLocation (e.g. airport, matched via shortIdentifier = ICAO code)

    Show fields (29)
    • idinteger

      Primary key of the location. Internal ID.

    • tokenstring

      Public token of the location. Used in links instead of the ID.

    • location_typestring

      Type of the location, for example room, hall or outdoor area.

    • in_contact_centerboolean

      The location is shown in the contact center.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • addressstring

      Address as text.

    • address_streetstring

      Street of the address.

    • address_house_numberstring

      House number of the address.

    • address_street_levelstring

      Street and house number of the address.

    • address_costring

      Care-of line of the address.

    • address_citystring

      City of the address.

    • address_zipstring

      Postal code of the address.

    • address_admin_level1string

      First administrative level of the address, e.g. the federal state.

    • address_countrystring

      Country code of the address.

    • address_full_countrystring

      Full name of the country of the address.

    • address_geo_latstring

      Latitude of the address.

    • address_geo_lngstring

      Longitude of the address.

    • address_external_provider_idstring

      field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

    • main_phonestring

      Main phone number.

    • main_faxstring

      Main fax number.

    • main_emailstring

      Main e-mail address.

    • websitestring

      Website address.

    • namestring

      Name of the entity.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • short_identifierstring

      Short identifier of the entity.

    • image_urlstring

      URL of the image of the entity.

    • slug_identifierstring

      Slug used in URLs of the entity.

    • is_ui_filterboolean

      This property is used to mark an entity as a filter for the frontend

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/event/base_booking_real_usage_section/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "token": "string",
  "start_location": "string",
  "start_time": "2026-10-15T09:30:00+02:00",
  "start_section_time": "2026-10-15T09:30:00+02:00",
  "end_location": "string",
  "end_time": "2026-10-15T09:30:00+02:00",
  "end_section_time": "2026-10-15T09:30:00+02:00",
  "number_of_landings": 1,
  "base_booking_real_usage": {
    "id": 42,
    "token": "string",
    "start_value": 1.5,
    "stop_value": 1.5,
    "duration": 1,
    "kilometers": 1.5,
    "refueled_gas": 1.5,
    "refueled_oil": 1.5,
    "gas_type": "string",
    "is_training": true
  }
}

Updates an existing base booking real usage section entry.

PUT/api/event/base_booking_real_usage_section/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataBaseBookingRealUsageSection2
    Show fields (1)
    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Update a BaseBookingRealUsageSectionBaseBookingRealUsageSection

Show fields (15)
  • idinteger

    Primary key of the usage section. Internal ID.

  • tokenstring

    Public token of the usage section. Used instead of the ID.

  • start_locationstring

    Location where the section started.

  • start_timestring (date-time)

    Start time of the section.

  • start_section_timestring (date-time)

    Start time of the section within the usage.

  • end_locationstring

    Location where the section ended.

  • end_timestring (date-time)

    End time of the section.

  • end_section_timestring (date-time)

    End time of the section within the usage.

  • number_of_landingsinteger

    Number of landings in the section.

  • base_booking_real_usageBaseBookingRealUsage

    Real usage the section belongs to.

    Show fields (16)
    • idinteger

      Primary key of the real usage entry. Internal ID.

    • tokenstring

      Public token of the real usage entry. Used instead of the ID.

    • start_valuenumber (float)

      Counter value at the start of the booking, for example the odometer.

    • stop_valuenumber (float)

      Counter value at the end of the booking.

    • durationinteger

      Duration of the usage in minutes.

    • kilometersnumber (float)

      Kilometers driven.

    • refueled_gasnumber (float)

      Amount of fuel refueled.

    • refueled_oilnumber (float)

      Amount of oil refueled.

    • gas_typestring

      Type of fuel refueled.

    • is_trainingboolean

      The usage was a training.

    • billing_typeinteger

      Billing type of the usage.

    • base_bookingBaseBooking13

      Booking the usage belongs to.

    • trainerCRMPerson10

      CRM person who used the bookable.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • start_base_locationBaseLocation10

    Master record for startLocation (e.g. airport, matched via shortIdentifier = ICAO code)

    Show fields (29)
    • idinteger

      Primary key of the location. Internal ID.

    • tokenstring

      Public token of the location. Used in links instead of the ID.

    • location_typestring

      Type of the location, for example room, hall or outdoor area.

    • in_contact_centerboolean

      The location is shown in the contact center.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • addressstring

      Address as text.

    • address_streetstring

      Street of the address.

    • address_house_numberstring

      House number of the address.

    • address_street_levelstring

      Street and house number of the address.

    • address_costring

      Care-of line of the address.

    • address_citystring

      City of the address.

    • address_zipstring

      Postal code of the address.

    • address_admin_level1string

      First administrative level of the address, e.g. the federal state.

    • address_countrystring

      Country code of the address.

    • address_full_countrystring

      Full name of the country of the address.

    • address_geo_latstring

      Latitude of the address.

    • address_geo_lngstring

      Longitude of the address.

    • address_external_provider_idstring

      field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

    • main_phonestring

      Main phone number.

    • main_faxstring

      Main fax number.

    • main_emailstring

      Main e-mail address.

    • websitestring

      Website address.

    • namestring

      Name of the entity.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • short_identifierstring

      Short identifier of the entity.

    • image_urlstring

      URL of the image of the entity.

    • slug_identifierstring

      Slug used in URLs of the entity.

    • is_ui_filterboolean

      This property is used to mark an entity as a filter for the frontend

  • end_base_locationBaseLocation10

    Master record for endLocation (e.g. airport, matched via shortIdentifier = ICAO code)

    Show fields (29)
    • idinteger

      Primary key of the location. Internal ID.

    • tokenstring

      Public token of the location. Used in links instead of the ID.

    • location_typestring

      Type of the location, for example room, hall or outdoor area.

    • in_contact_centerboolean

      The location is shown in the contact center.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • addressstring

      Address as text.

    • address_streetstring

      Street of the address.

    • address_house_numberstring

      House number of the address.

    • address_street_levelstring

      Street and house number of the address.

    • address_costring

      Care-of line of the address.

    • address_citystring

      City of the address.

    • address_zipstring

      Postal code of the address.

    • address_admin_level1string

      First administrative level of the address, e.g. the federal state.

    • address_countrystring

      Country code of the address.

    • address_full_countrystring

      Full name of the country of the address.

    • address_geo_latstring

      Latitude of the address.

    • address_geo_lngstring

      Longitude of the address.

    • address_external_provider_idstring

      field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

    • main_phonestring

      Main phone number.

    • main_faxstring

      Main fax number.

    • main_emailstring

      Main e-mail address.

    • websitestring

      Website address.

    • namestring

      Name of the entity.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • short_identifierstring

      Short identifier of the entity.

    • image_urlstring

      URL of the image of the entity.

    • slug_identifierstring

      Slug used in URLs of the entity.

    • is_ui_filterboolean

      This property is used to mark an entity as a filter for the frontend

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/event/base_booking_real_usage_section/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "deleted": true
  }
}
'
Response 200 application/json
{
  "id": 42,
  "token": "string",
  "start_location": "string",
  "start_time": "2026-10-15T09:30:00+02:00",
  "start_section_time": "2026-10-15T09:30:00+02:00",
  "end_location": "string",
  "end_time": "2026-10-15T09:30:00+02:00",
  "end_section_time": "2026-10-15T09:30:00+02:00",
  "number_of_landings": 1,
  "base_booking_real_usage": {
    "id": 42,
    "token": "string",
    "start_value": 1.5,
    "stop_value": 1.5,
    "duration": 1,
    "kilometers": 1.5,
    "refueled_gas": 1.5,
    "refueled_oil": 1.5,
    "gas_type": "string",
    "is_training": true
  }
}

Updates an existing base booking real usage section entry.

PATCH/api/event/base_booking_real_usage_section/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataBaseBookingRealUsageSection2
    Show fields (1)
    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Update a BaseBookingRealUsageSectionBaseBookingRealUsageSection

Show fields (15)
  • idinteger

    Primary key of the usage section. Internal ID.

  • tokenstring

    Public token of the usage section. Used instead of the ID.

  • start_locationstring

    Location where the section started.

  • start_timestring (date-time)

    Start time of the section.

  • start_section_timestring (date-time)

    Start time of the section within the usage.

  • end_locationstring

    Location where the section ended.

  • end_timestring (date-time)

    End time of the section.

  • end_section_timestring (date-time)

    End time of the section within the usage.

  • number_of_landingsinteger

    Number of landings in the section.

  • base_booking_real_usageBaseBookingRealUsage

    Real usage the section belongs to.

    Show fields (16)
    • idinteger

      Primary key of the real usage entry. Internal ID.

    • tokenstring

      Public token of the real usage entry. Used instead of the ID.

    • start_valuenumber (float)

      Counter value at the start of the booking, for example the odometer.

    • stop_valuenumber (float)

      Counter value at the end of the booking.

    • durationinteger

      Duration of the usage in minutes.

    • kilometersnumber (float)

      Kilometers driven.

    • refueled_gasnumber (float)

      Amount of fuel refueled.

    • refueled_oilnumber (float)

      Amount of oil refueled.

    • gas_typestring

      Type of fuel refueled.

    • is_trainingboolean

      The usage was a training.

    • billing_typeinteger

      Billing type of the usage.

    • base_bookingBaseBooking13

      Booking the usage belongs to.

    • trainerCRMPerson10

      CRM person who used the bookable.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • start_base_locationBaseLocation10

    Master record for startLocation (e.g. airport, matched via shortIdentifier = ICAO code)

    Show fields (29)
    • idinteger

      Primary key of the location. Internal ID.

    • tokenstring

      Public token of the location. Used in links instead of the ID.

    • location_typestring

      Type of the location, for example room, hall or outdoor area.

    • in_contact_centerboolean

      The location is shown in the contact center.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • addressstring

      Address as text.

    • address_streetstring

      Street of the address.

    • address_house_numberstring

      House number of the address.

    • address_street_levelstring

      Street and house number of the address.

    • address_costring

      Care-of line of the address.

    • address_citystring

      City of the address.

    • address_zipstring

      Postal code of the address.

    • address_admin_level1string

      First administrative level of the address, e.g. the federal state.

    • address_countrystring

      Country code of the address.

    • address_full_countrystring

      Full name of the country of the address.

    • address_geo_latstring

      Latitude of the address.

    • address_geo_lngstring

      Longitude of the address.

    • address_external_provider_idstring

      field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

    • main_phonestring

      Main phone number.

    • main_faxstring

      Main fax number.

    • main_emailstring

      Main e-mail address.

    • websitestring

      Website address.

    • namestring

      Name of the entity.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • short_identifierstring

      Short identifier of the entity.

    • image_urlstring

      URL of the image of the entity.

    • slug_identifierstring

      Slug used in URLs of the entity.

    • is_ui_filterboolean

      This property is used to mark an entity as a filter for the frontend

  • end_base_locationBaseLocation10

    Master record for endLocation (e.g. airport, matched via shortIdentifier = ICAO code)

    Show fields (29)
    • idinteger

      Primary key of the location. Internal ID.

    • tokenstring

      Public token of the location. Used in links instead of the ID.

    • location_typestring

      Type of the location, for example room, hall or outdoor area.

    • in_contact_centerboolean

      The location is shown in the contact center.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • addressstring

      Address as text.

    • address_streetstring

      Street of the address.

    • address_house_numberstring

      House number of the address.

    • address_street_levelstring

      Street and house number of the address.

    • address_costring

      Care-of line of the address.

    • address_citystring

      City of the address.

    • address_zipstring

      Postal code of the address.

    • address_admin_level1string

      First administrative level of the address, e.g. the federal state.

    • address_countrystring

      Country code of the address.

    • address_full_countrystring

      Full name of the country of the address.

    • address_geo_latstring

      Latitude of the address.

    • address_geo_lngstring

      Longitude of the address.

    • address_external_provider_idstring

      field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

    • main_phonestring

      Main phone number.

    • main_faxstring

      Main fax number.

    • main_emailstring

      Main e-mail address.

    • websitestring

      Website address.

    • namestring

      Name of the entity.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • short_identifierstring

      Short identifier of the entity.

    • image_urlstring

      URL of the image of the entity.

    • slug_identifierstring

      Slug used in URLs of the entity.

    • is_ui_filterboolean

      This property is used to mark an entity as a filter for the frontend

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request PATCH \
  --url https://your-instance.iw-erp.de/api/event/base_booking_real_usage_section/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "deleted": true
  }
}
'
Response 200 application/json
{
  "id": 42,
  "token": "string",
  "start_location": "string",
  "start_time": "2026-10-15T09:30:00+02:00",
  "start_section_time": "2026-10-15T09:30:00+02:00",
  "end_location": "string",
  "end_time": "2026-10-15T09:30:00+02:00",
  "end_section_time": "2026-10-15T09:30:00+02:00",
  "number_of_landings": 1,
  "base_booking_real_usage": {
    "id": 42,
    "token": "string",
    "start_value": 1.5,
    "stop_value": 1.5,
    "duration": 1,
    "kilometers": 1.5,
    "refueled_gas": 1.5,
    "refueled_oil": 1.5,
    "gas_type": "string",
    "is_training": true
  }
}